#### Linux From Scratch - Version r13.0-6

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  Ncurses-6.6

- Next

  Coreutils-9.10

- Up
- Home

# 6.4. Bash-5.3

The Bash package contains the Bourne-Again Shell.

Approximate build time: 0.2 SBU
Required disk space: 72 MB

## 6.4.1. Installation of Bash

Prepare Bash for compilation:

    ./configure --prefix=/usr                      \
                --build=$(sh support/config.guess) \
                --host=$LFS_TGT                    \
                --without-bash-malloc

The meaning of the configure options:

`--without-bash-malloc`

  This option turns off the use of Bash's memory allocation (`malloc`) function which is known to cause segmentation faults. By turning this option off, Bash will use the `malloc` functions from Glibc which are more stable.

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Make a link for the programs that use sh for a shell:

    ln -sv bash $LFS/bin/sh

Details on this package are located in Section 8.37.2, “Contents of Bash.”

- Prev

  Ncurses-6.6

- Next

  Coreutils-9.10

- Up
- Home